## c3 0.2.0

=== DESCRIPTION ===
Package: c3
Type: Package
Title: 'C3.js' Chart Library
Description: Create interactive charts with the 'C3.js' <http://c3js.org/> charting library. All plot 
    types in 'C3.js' are available and include line, bar, scatter, and mixed geometry plots. Plot 
    annotations, labels and axis are highly adjustable. Interactive web based charts can be embedded 
    in R Markdown documents or Shiny web applications. 
Version: 0.2.0
Authors@R: c(
    person("Matt", "Johnson", email = "mrjoh3@gmail.com",
    role = c("aut", "cre"))
    )
Maintainer: Matt Johnson <mrjoh3@gmail.com>
Depends: R (>= 3.2.2)
Imports: jsonlite, data.table, lazyeval, htmlwidgets, dplyr, viridis
URL: https://github.com/mrjoh3/c3
BugReports: https://github.com/mrjoh3/c3/issues
License: GPL (>= 3)
LazyData: TRUE
Encoding: UTF-8
RoxygenNote: 6.0.1
Suggests: testthat, RColorBrewer, knitr, rmarkdown, webshot, purrr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-05-29 08:41:54 UTC; johnsom
Author: Matt Johnson [aut, cre]
Repository: CRAN
Date/Publication: 2018-05-29 10:20:57 UTC

## c3 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
     types in 'C3.js' are available and include line, bar, scatter, and mixed geometry plots. Plot 
     annotations, labels and axis are highly adjustable. Interactive web based charts can be embedded 
     in R Markdown documents or Shiny web applications. 
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person("Matt", "Johnson", email = "mrjoh3@gmail.com",
     role = c("aut", "cre"))
@@ -18,11 +18,11 @@
 License: GPL (>= 3)
 LazyData: TRUE
 Encoding: UTF-8
-RoxygenNote: 6.0.1
-Suggests: testthat, RColorBrewer, knitr, rmarkdown, webshot, purrr
+RoxygenNote: 6.1.1
+Suggests: testthat, RColorBrewer, knitr, rmarkdown, purrr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-05-29 08:41:54 UTC; johnsom
+Packaged: 2020-03-16 13:05:21 UTC; matt
 Author: Matt Johnson [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-05-29 10:20:57 UTC
+Date/Publication: 2020-03-16 13:30:08 UTC

## c3 0.4.11%2Bdfsg

=== debian/control ===
Source: c3
Section: web
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), node-smash, node-uglify, sassc, cleancss
Standards-Version: 3.9.8
Homepage: http://c3js.org/

Package: libjs-c3
Architecture: all
Depends: ${misc:Depends}, libjs-d3 (>= 3.5.0)
Description: D3-based reusable chart library
 C3 is a D3-based reusable chart library that enables deeper integration of
 charts into web applications.

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
https://github.com/masayuki0812/c3/tags .*/archive/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## c3 0.4.11+dfsg

=== debian/changelog ===
c3 (0.4.11+dfsg-4) unstable; urgency=medium

  * Change build dependency to uglifyjs (closes: #979895).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Jan 2021 18:43:56 +0100

c3 (0.4.11+dfsg-3) unstable; urgency=medium

  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Jan 2021 16:54:54 +0100

c3 (0.4.11+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 15:28:26 +0100

c3 (0.4.11+dfsg-2) unstable; urgency=low

  * Add c3.css to the package (closes: #832110).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Jul 2016 14:13:15 +0000

c3 (0.4.11+dfsg-1) unstable; urgency=low

  * Initial upload (closes: #819891).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Jul 2016 13:02:59 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: web
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), node-smash, node-uglify, sassc, cleancss
-Standards-Version: 3.9.8
-Homepage: http://c3js.org/
+Build-Depends: debhelper-compat (= 13), node-smash, uglifyjs, sassc, cleancss
+Standards-Version: 4.5.1
+Homepage: https://c3js.org/
+Rules-Requires-Root: no
 
 Package: libjs-c3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/smash-c3.js
	rm -rf $(CURDIR)/debian/build/
	rm -rf $(CURDIR)/.sass-cache/

override_dh_auto_build:
	install -d $(CURDIR)/debian/build/
	ln -s $(CURDIR)/debian/smash-c3.js $(CURDIR)
	smash $(CURDIR)/smash-c3.js >$(CURDIR)/debian/build/c3.js
	uglifyjs $(CURDIR)/debian/build/c3.js \
		>$(CURDIR)/debian/build/c3.min.js
	sassc $(CURDIR)/src/scss/main.scss \
		>$(CURDIR)/debian/build/c3.css
	cleancss $(CURDIR)/debian/build/c3.css \
		>$(CURDIR)/debian/build/c3.min.css

%:
	dh $@

.PHONY: override_dh_clean override_dh_auto_build
